6.0.0-git
2019-04-24

[#10499] IMP not remembering open/close state on folders
Summary IMP not remembering open/close state on folders
Queue IMP
Queue Version 5.0.11
Type Bug
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester azurit (at) pobox (dot) sk
Created 2011-09-10 (2783 days ago)
Due
Updated 2011-09-14 (2779 days ago)
Assigned
Resolved 2011-09-13 (2780 days ago)
Milestone
Patch No

History
2011-09-14 19:39:22 azurit (at) pobox (dot) sk Comment #12 Reply to this comment
thank you !! :)
2011-09-13 21:07:42 Michael Slusarz Comment #11
Assigned to Michael Slusarz
State ⇒ Resolved
Reply to this comment
Thinking about this a bit more... we should treat the sidebar folder 
list as completely separate from the IMP folder list.  From a code 
standpoint, the current expanded status is kept completely separate 
from the IMP expanded list (cookies vs. prefs).
2011-09-13 21:06:15 Git Commit Comment #10 Reply to this comment
Changes have been made in Git for this ticket:

Bug #10499: Make sidebar expand status separate from IMP's expanded status

  2 files changed, 19 insertions(+), 18 deletions(-)
http://git.horde.org/horde-git/-/commit/821724d272a7400da9c1d09a80c1ab749b82b3ba
2011-09-13 20:09:03 azurit (at) pobox (dot) sk Comment #9 Reply to this comment
Ah, so it's a feature :) Michael, i really like the sidebar folder 
navigation in traditional view but i just wanted from it to remember 
open/close states of folders. It's very confusing cos it is 
remembering states of all other items except folders (so one would 
except it will remember also folders). Why this cannot be done ?
2011-09-13 18:37:04 Michael Slusarz Comment #8 Reply to this comment
Now i found out something new. When i'm opening/closing folders in 
the left sidebar, it's state is NOT remembered. BUT!!! When i 
open/close them in folders page, it's state is remembered and is set 
also in left sidebar.
This is the expected behavior.  On load, the sidebar should match the 
current state of the mailbox in IMP.  Otherwise you could end up with 
two completely different folder expand states in the two views.  It 
can be debated whether this is proper behavior, but I feel the current 
behavior is a better compromise.

I would really like to see a move away from using the sidebar to 
control folder navigation in IMP.  This should really be done within 
IMP itself.  If you do want sidebar folder navigation, you should be 
using the dynamic view.
2011-09-13 18:22:14 azurit (at) pobox (dot) sk Comment #7 Reply to this comment
Now i found out something new. When i'm opening/closing folders in the 
left sidebar, it's state is NOT remembered. BUT!!! When i open/close 
them in folders page, it's state is remembered and is set also in left 
sidebar.
2011-09-13 18:18:08 azurit (at) pobox (dot) sk Comment #6 Reply to this comment
Yes, I'm talking about left sidebar which is always visible 
(traditional view). It is not remembering only the mail folders, 
everything other is remembered correctly.
2011-09-12 22:38:25 Michael Slusarz Comment #5 Reply to this comment
Michael, is this really supposed to work also for folders/subfolders 
? 'nav_expanded' is set to '2' in my prefs.local.php (and not set in 
DB for my account). How to reproduce: create new folder and then 
create subfolder in it (so the folder will have +/- icons). Close 
the folder, logout, login and see it's opened again. Btw, this 
wasn't working also in previous major version of IMP, i was just 
ignoring it until now.
I still don't see this.  You are talking about the folders page in the 
standard view, correct? (The sidebar is overruled by cookie settings, 
so it may not display the same as the folders page).
2011-09-12 06:57:07 azurit (at) pobox (dot) sk Comment #4 Reply to this comment
Michael, is this really supposed to work also for folders/subfolders ? 
'nav_expanded' is set to '2' in my prefs.local.php (and not set in DB 
for my account). How to reproduce: create new folder and then create 
subfolder in it (so the folder will have +/- icons). Close the folder, 
logout, login and see it's opened again. Btw, this wasn't working also 
in previous major version of IMP, i was just ignoring it until now.
2011-09-12 00:57:32 Michael Slusarz Comment #3 Reply to this comment
Much like Ticket 9909, unless someone can provide the place in the 
code where this is failing for them, no dev can reproduce and this 
ticket will be closed.
2011-09-10 13:53:14 michael (dot) groene (at) zel (dot) uni-hannover (dot) de Comment #2 Reply to this comment
Traditional view is not remembering if a folder (or subfolder) was 
opened or closed on logout and all folders are 'open' when login 
again. It is remembering state of other items (Settings, 
Administration and so on) but not e-mail folders. Don't know if i'm 
clear enough, i'm talking about plus (+) and minus (-) icons next to 
the folders.
Had such a problem, too: http://bugs.horde.org/ticket/9909
But I could not really reproduce, so I couldn't give feedback.

But I have to add, that I have no subfolders in my own mailbox. 
Instead I have got an shared mailbox, where horde won't remember the 
last open/closed-state.

But what I found out, is that it works (sometimes?), when set tree_view=1.
2011-09-10 08:32:54 azurit (at) pobox (dot) sk Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ IMP not remembering open/close state on folders
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
Traditional view is not remembering if a folder (or subfolder) was 
opened or closed on logout and all folders are 'open' when login 
again. It is remembering state of other items (Settings, 
Administration and so on) but not e-mail folders. Don't know if i'm 
clear enough, i'm talking about plus (+) and minus (-) icons next to 
the folders.

Saved Queries